import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;
import java.io.IOException;
class SpriteSkiingCanvas extends GameCanvas implements Runnable {
	private Sprite skiing;
	private Image skiing_img;
	private int skiing_img_idx;
	private boolean running;	
	public SpriteSkiingCanvas() {
		super(true);
		try {
			skiing_img = Image.createImage("/animation.png");
		}catch (IOException e){
			System.out.println("We can't read Image file");
		}
		skiing = new Sprite(skiing_img, 66, 54);
		running = true;
		skiing_img_idx = 0;
		Thread t = new Thread(this);
		t.start();
	}
	public void run(){
		Graphics g = getGraphics();
		while(running) {	
				play_skiing();
				draw_skiing(g);	
			try {
				Thread.sleep(200);
			} catch(InterruptedException e) {
				stop();
			}		
		}
	}
	private void play_skiing() {
		skiing_img_idx = (skiing_img_idx + 1) % 10;
		skiing.setFrame(skiing_img_idx);
		skiing.setPosition(getWidth()/2, getHeight()/2);
	}
	private void draw_skiing(Graphics g) {
		skiing.paint(g);
		flushGraphics();
	}
	public void stop() {
		running = false;
	}
}