import javax.microedition.midlet.*; 
import javax.microedition.lcdui.*; 

public class AlertTypeTestMIDlet extends MIDlet implements CommandListener{ 
    private TextBox textbox; 
    private Command ok_cmd; 
    private Command exit_cmd;
    private Display display;
	private Alert alert;
	 
    public AlertTypeTestMIDlet() {
    	ok_cmd = new Command("OK", Command.OK, 1);
    	exit_cmd = new Command("Exit", Command.EXIT, 1);
    }     
    public void startApp(){
        textbox = new TextBox("5 ڸ Էϼ", "", 20, TextField.ANY);
        textbox.addCommand(ok_cmd); 
        textbox.addCommand(exit_cmd);
        display = Display.getDisplay(this);  
    	textbox.setCommandListener(this);
    	display.setCurrent(textbox);
    }   
    public void pauseApp() {   } 
    public void destroyApp(boolean unconditional) {   }   
    public void commandAction(Command cmd, Displayable disp) {
        if(cmd==ok_cmd) {
        	String tb = textbox.getString();
        	if(tb.length() == 5) {
        		Image ok_img = null; 
        		try { 
        			ok_img = Image.createImage("/ok_img.png");
        		} catch (Exception e) {
        			System.out.println("ok_img.png is not created.");
        			e.printStackTrace();
        		}
        		alert = new Alert("Alert", "!\n Ȯϰ ԷϿϴ.", ok_img, AlertType.INFO);
        		alert.setTimeout(Alert.FOREVER);
        		display.setCurrent(alert, textbox);
        	} else {
        		Image err_img = null; 
                try { err_img = Image.createImage("/err_img.png"); 
                } catch(Exception e) { 
                    System.out.println("err_img.png is not created.");
                    e.printStackTrace();
                } 
                Alert alert = new Alert("Alert", "!! \n  ٽ Էϼ.", err_img, AlertType.ERROR); 
                Gauge gauge = new Gauge(null, false, 10, 5);
                alert.setIndicator(gauge);
                alert.setTimeout(2000);
                display.setCurrent(alert,textbox); 
        	}        	
        } else if(cmd==exit_cmd) {
        	notifyDestroyed(); 
        }       
    } 
}