import javax.microedition.midlet.*; 
import javax.microedition.lcdui.*;

import java.io.IOException;

public class ListSelectTest extends MIDlet implements CommandListener{ 
    private List lists; 
    private Command next_cmd = new Command("Next", Command.SCREEN, 1);
    private Command exit_cmd = new Command("Exit", Command.EXIT, 1);
    private String[] options={"   "," ߱  "," ʱ  "};            
    private Display display; 
    private Alert alert;
                 
    public ListSelectTest() { 
        Image[] imageArray = null;
        try {
        	Image high_game = Image.createImage("/high_game.png");
        	Image medium_game = Image.createImage("/medium_game.png");
        	Image first_game = Image.createImage("/first_game.png");
        	imageArray = new Image[]{high_game, medium_game, first_game};
        } catch (IOException e) { 
        	e.printStackTrace();
        }
        //create an implicit list 
        lists = new List("Implicit Ʈ",List.IMPLICIT, options, imageArray); 
        lists.addCommand(next_cmd); 
        lists.addCommand(exit_cmd); 
        lists.setCommandListener(this);                            
        display=Display.getDisplay(this); 
    } 
    public void startApp() throws MIDletStateChangeException { 
        display.setCurrent(lists); 
    } 
    public void pauseApp() {     } 
    public void destroyApp(boolean unconditional) {     } 
    public void commandAction(Command c, Displayable d) { 
        if(c==next_cmd || c==List.SELECT_COMMAND) {
        	int index = lists.getSelectedIndex();
    		alert = new Alert("Ʈ  ", lists.getString(index)+ " Ͽϴ.", null, AlertType.INFO);
    		display.setCurrent(alert, lists);
        }
        else if(c==exit_cmd) { 
            destroyApp(true); 
            notifyDestroyed(); 
        } 
    } 
} 
