import javax.microedition.lcdui.*;

class DrawStringCanvas extends Canvas {
	private Font largeFont;
	private Font italicFont;
	String explainText[] = {"< ̿ȳ  >", "  ̿", " ", "߻ ʴ ܵ", "Դϴ.", "Ƚϰ ̿ϼ.", "ƹŰ "};	
	public DrawStringCanvas() {
		largeFont = Font.getFont(Font.FACE_MONOSPACE, Font.STYLE_PLAIN, Font.SIZE_LARGE);
		italicFont = Font.getFont(Font.FACE_PROPORTIONAL, Font.STYLE_ITALIC | Font.STYLE_UNDERLINED, Font.SIZE_LARGE);
	}	
	public void paint(Graphics g) {		
		g.setColor(255, 255, 255);
		g.drawRect(0, 0, getWidth(), getHeight());
		g.setColor(255, 0, 0);
		g.setFont(largeFont);
		g.drawString(explainText[0], getWidth()/2, 35, Graphics.TOP | Graphics.HCENTER);
		g.setColor(0, 0, 0);
		int y = 85;
		g.setFont(italicFont);
		for(byte i=1; i < explainText.length-1; i++) {
			g.drawString(explainText[i], getWidth()/2, y, Graphics.TOP | Graphics.HCENTER);
			y+=20;
		}
		g.setColor(0, 0, 255);
		g.setFont(largeFont);
		g.drawString(explainText[6], getWidth()/2, y+50, Graphics.TOP | Graphics.HCENTER);
	}
}