import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class MyCanvasMIDlet extends MIDlet implements CommandListener {
	private Display display;
	private MyCanvas canvas;
	private Command exit_cmd;
	public MyCanvasMIDlet() {
		exit_cmd = new Command("Exit", Command.EXIT, 1);
		display = Display.getDisplay(this);
		canvas = new MyCanvas();
		canvas.addCommand(exit_cmd);
		canvas.setCommandListener(this);		
	}
	public void startApp() {
		display.setCurrent(canvas);
	}
	public void pauseApp() {  }
	public void destroyApp(boolean unconditional) {
		if(canvas != null) {	
			canvas.stop();
		}
	}
	public void commandAction(Command cmd, Displayable disp) {
		if(cmd == exit_cmd){
			destroyApp(true);
			notifyDestroyed();
		}
	}
}