import javax.microedition.lcdui.*;
import java.io.IOException;

class ClipAniCanvas extends Canvas {
	private Image ani_img;
	private int curFrame = 0;
	public ClipAniCanvas(){		
		try {
			ani_img = Image.createImage("/animation.png");
		} catch (IOException e) { 
			e.printStackTrace();
	    }
	}		
	public void paint(Graphics g) {		
		g.setColor(0, 0, 0);
		g.drawRect(0, 0, getWidth(), getHeight());
		int x = getWidth()/2-33;
		int y = getHeight()/2-27;
		g.setClip(x, y, 66, 54);
		g.drawImage(ani_img, x-(66*curFrame), y, Graphics.TOP | Graphics.LEFT);	
	}
	public void setCurFrame(){
		this.curFrame++;
		if (curFrame >= 10) curFrame = 0;
		repaint();		
	}
}